{% load mathfilters %} 
{% load static %} 
{% load static i18n %} 
{% load translations %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="icon" href="{% static 'app/images/favicon.ico' %}" />
    <link rel="stylesheet" href="{%  static 'app/css/main.min.css' %}" />
    <style>.contentWrapper .headings > li::after {display: none; } .widthWrapper{width: 100%; padding: 0;} .contentWrapper .headings > li .table li span, .contentWrapper .headings > li .tableInside li span {font-size: 10px;} .contentWrapper .headings > li .table li h5, .contentWrapper .headings > li .tableInside li h5 {font-size: 12px;}</style>
  </head>
  <body>
    <div class="widthWrapper contentWrapper">

      <div class="containerWrapper">
        <div class="tableWrapper containerWrapper__One in-view">
          <div class="tables">
            <h3 class="title">Spa Booking</h3>
          </div>
          <ul class="headings specTable">
              {% for order in orders %}
            <li class="main-li active" id="{{ order.id }}">
              <ul class="table">
                <li class="active">
                  <h5># {{ order.id }}</h5>
                    {% if order.status == 'active' %}
                        <span style="text-transform: uppercase" class="btn btnActive">active</span>
                    {% elif order.status == 'past' %}
                        <span style="text-transform: uppercase" class="btn btnPast">past</span>
                    {% elif order.status == 'awaiting_confirmation' %}
                        <span style="text-transform: uppercase" class="btn btnCompleted">waiting</span>
                    {% endif %}
                    {% if order.canceled %}
                        <span style="text-transform: uppercase" class="btn btnCancelled">cancelled</span>
                    {% elif not order.pay_by_cart %}
                        <span style="text-transform: uppercase" class="btn btnContract">contract</span>
                    {% endif %}
                </li>
                <li>
                  <h5>Date / time</h5>
                  <span>{{ order.book_data_time|date }}/{{ order.book_data_time|time }}</span>
                </li>
                <li>
                  <h5>Duration</h5>
                  <span>{{ order.service.minutes }} min.</span>
                </li>
                <li>
                  <h5>Treatment</h5>
                  <span>{{ order.service.service }}</span>
                </li>
                <li>
                  <h5>Order price</h5>
                  <span>{{ order.total_price }}Fr</span>
                </li>
              </ul>
              <div class="animated" style="display: block">
                <ul class="tableInside admin-mode">
                  <li class="another-fontsize">
                    <h5>Order information</h5>
                    <span>{{ order.client_first_name }} {{ order.client_last_name }}</span>
                    <span>{{ order.client_email }}</span>
                    <span>{{ order.client_room }} room</span>
                  </li>
                  <li>
                    <h5>Date of order creation</h5>
                    <span>{{ order.created|date }}/{{ order.created|time }}</span>
                  </li>
                  <li>
                    <h5>Hotel Worker Name</h5>
                      {% if order.hotel_admin  %}
                        <span>{{ order.hotel_admin.first_name }} {{ order.hotel_admin.last_name }}</span>
                      {% else %}
                        <span>-</span>
                      {% endif %}
                  </li>

                  <li class="">
                    <div class="select-container">
                      <h5>Therapist</h5>
                        {% if order.therapist  %}
                        <span>{{ order.therapist.first_name }} {{ order.therapist.last_name }}</span>
                      {% else %}
                        <span>-</span>
                      {% endif %}
                    </div>
                  </li>

                  <li class="another-fontsize">
                    <h5>Additions</h5>
                    <span>
                        {% for add_serv in order.service.additional_services.all %}
                            {{ add_serv.additional_service }},
                        {% empty %}
                            -
                        {% endfor %}
                    </span>
                  </li>

                  <li class="another-fontsize">
                    <h5>Comment</h5>
                      {% if order.comment  %}
                        <span>{{ order.comment }}</span>
                      {% else %}
                        <span>-</span>
                      {% endif %}
                  </li>

                  
                </ul>
              </div>
            </li>
              {% endfor %}

          </ul>
        </div>
      </div>
    </div>
  </body>
</html>
